# LEETCODE - SOLUTIONS

## Problem List

9. [Palindrome Number](./prob9.cpp)
12. [Integer to Roman](./prob12.cpp)
13. [Roman to Integer](./prob13.cpp)
15. [3Sum](./prob15.cpp)
16. [3Sum Closest](./prob16.cpp)
17. [Letter Combinations of a Phone Number](./prob17.cpp)
18. [4Sum](./prob18.cpp)
19. [Remove Nth Node From End of List](./prob19.cpp)
20. [Valid Parentheses](./prob20.cpp)
22. [Generate Parentheses](./prob22.cpp)
23. [Merge k Sorted Lists](./prob23.cpp)
24. [Swap Nodes in Pairs](./prob24.cpp)
25. [Reverse Nodes in k-Group](./prob25.cpp)
26. [Remove Duplicates from Sorted Array](./prob26.cpp)
27. [Remove Element](./prob27.cpp)
28. [Implement strStr()](./prob28.cpp)
31. [Next Permutation](./prob31.cpp)
33. [Search in Rotated Sorted Array](./prob33.cpp)
34. [Search for a Range](./prob34.cpp)
35. [Search Insert Position](./prob35.cpp)
36. [Valid Sudoku](./prob36.cpp)
37. [Sudoku Solver](./prob37.cpp)
38. [Count and Say](./prob38.cpp)
43. [Multiply Strings](./prob43.cpp)
44. [Wildcard Matching](./prob44.cpp)
45. [Jump Game II](./prob45.cpp)
46. [Permutations](./prob46.cpp)
48. [Rotate Image](./prob48.cpp)
49. [Group Anagrams](./prob49.cpp)
50. [Pow(x, n)](./prob50.cpp)
51. [N-Queens](./prob51.cpp)
52. [N-Queens II](./prob52.cpp)
53. [Maximum Subarray](./prob53.cpp)
54. [Spiral Matrix](./prob54.cpp)
55. [Jump Game](./prob55.cpp)
56. [Merge Intervals](./prob56.cpp)
57. [Insert Interval](./prob57.cpp)
58. [Length of Last Word](./prob58.cpp)
59. [Spiral Matrix II](./prob59.cpp)
60. [Permutation Sequence](./prob60.cpp)
61. [Rotate List](./prob61.cpp)
62. [Unique Paths](./prob62.cpp)
63. [Unique Paths II](./prob63.cpp)
64. [Minimum Path Sum](./prob64.cpp)
66. [Plus One](./prob66.cpp)
67. [Add Binary](./prob67.cpp)
69. [Sqrt(x)](./prob69.cpp)
70. [Climbing Stairs](./prob70.cpp)
71. [Simplify Path](./prob71.cpp)
72. [Edit Distance](./prob72.cpp)
73. [Set Matrix Zeroes](./prob73.cpp)
74. [Search a 2D Matrix](./prob74.cpp)
75. [Sort Colors](./prob75.cpp)
76. [Minimum Window Substring](./prob76.cpp)
77. [Combinations](./prob77.cpp)
78. [Subsets](./prob78.cpp)
79. [Word Search](./prob79.cpp)
80. [Remove Duplicates from Sorted Array II](./prob80.cpp)
82. [Remove Duplicates from Sorted List II](./prob82.cpp)
